Package com.pixelmed.anatproc

# Class DisplayableConcept

java.lang.Object
com.pixelmed.anatproc.Concept
com.pixelmed.anatproc.CodedConcept
com.pixelmed.anatproc.DisplayableConcept

Direct Known Subclasses:
  `CombinedAnatomicConcepts`, `DisplayableAnatomicConcept`, `DisplayableLateralityConcept`, `DisplayableViewConcept`

public class DisplayableConcept extends CodedConcept

This class represents a coded concept that may be displayed, for example as a menu item in a pick list.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String[]`
`fullyQualifiedMenuEntry`
`protected String[]`
`shortcutMenuEntry`

### Fields inherited from class com.pixelmed.anatproc.CodedConcept

`codeMeaning, codeStringEquivalent, codeValue, codingSchemeDesignator, codingSchemeVersion, conceptIdentifier, legacyCodingSchemeDesignator, synonynms`

### Fields inherited from class com.pixelmed.anatproc.Concept

`conceptUniqueIdentifier`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DisplayableConcept()`
``
`DisplayableConcept(String conceptUniqueIdentifier, String conceptIdentifier, String codingSchemeDesignator, String legacyCodingSchemeDesignator, String codingSchemeVersion, String codeValue, String codeMeaning, String codeStringEquivalent, String[] synonynms, String[] shortcutMenuEntry, String[] fullyQualifiedMenuEntry)`
Create a coded concept that may be displayed.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getFullyQualifiedMenuEntry()`
`String[]`
`getShortcutMenuEntry()`
`String`
`toString()`

### Methods inherited from class com.pixelmed.anatproc.CodedConcept

`getCodeAsString, getCodedSequenceItem, getCodeMeaning, getCodeStringEquivalent, getCodeValue, getCodingSchemeDesignator, getCodingSchemeVersion, getConceptIdentifier, getLegacyCodingSchemeDesignator, getSynonyms, toStringBrief`

### Methods inherited from class com.pixelmed.anatproc.Concept

`equals, getConceptUniqueIdentifier, hashCode`

### Methods inherited from class java.lang.Object

`clone, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### shortcutMenuEntry

protected String[] shortcutMenuEntry

### fullyQualifiedMenuEntry

protected String[] fullyQualifiedMenuEntry

## Constructor Details

### DisplayableConcept

public DisplayableConcept(String conceptUniqueIdentifier, String conceptIdentifier, String codingSchemeDesignator, String legacyCodingSchemeDesignator, String codingSchemeVersion, String codeValue, String codeMeaning, String codeStringEquivalent, String[] synonynms, String[] shortcutMenuEntry, String[] fullyQualifiedMenuEntry)

Create a coded concept that may be displayed.

Parameters:
  `conceptUniqueIdentifier` - the unique identifier of the concept, usually a UMLS CUI; required to be unique within the scope of comparisons using `equals(Object)`
  `conceptIdentifier` - the scheme-specific concept identifier, e.g., for SNOMED-CT, the SNOMED Concept Identifier
  `codingSchemeDesignator` - the DICOM PS3.16 Section 8 coding scheme used as the DICOM Coding Scheme Designator, e.g., "SRT", "DCM", "LN", or a private coding scheme
  `legacyCodingSchemeDesignator` - a legacy (alternative) coding scheme, e.g. "SNM3" if what is used in DICOM context groups instead of "SRT"; null if none required (i.e., treat the same as codingSchemeDesignator)
  `codingSchemeVersion` - the version of the coding scheme in which this code is defined, if necessary; null if none required
  `codeValue` - the code used as the DICOM Code Value (e.g., the SNOMED-RT style code rather than the SNOMED-CT style Concept Identifier)
  `codeMeaning` - the text used as the DICOM Code Meaning
  `codeStringEquivalent` - the text value used for a DICOM Code String VR equivalent attribute (e.g., for Body Part Examined instead of in Anatomic Region Sequence); may be null
  `synonynms` - alternative code meanings, including abbreviations or different languages; may be null or empty
  `shortcutMenuEntry` - an array of text values to use in a shortcut menu entry, e.g. "Wrist"
  `fullyQualifiedMenuEntry` - an array of text values to use in a full menu entry, e.g. "Limb","Upper","Wrist"

### DisplayableConcept

protected DisplayableConcept()

## Method Details

### getShortcutMenuEntry

public String[] getShortcutMenuEntry()

### getFullyQualifiedMenuEntry

public String[] getFullyQualifiedMenuEntry()

### toString

public String toString()

Overrides:
  `toString` in class `CodedConcept`